使用apt-get时候出的问题

为当前最终发行版之前的所有版本提供支持
回复
fencrow
帖子: 81
注册时间: 2007-01-04 13:06
送出感谢: 0
接收感谢: 0

使用apt-get时候出的问题

#1

帖子 fencrow » 2007-01-04 13:09

fencrow@innocence:~$ sudo apt-get install amule
E: 无法获得锁 /var/lib/dpkg/lock - open (11 Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?

请问这是什么意思?用命令行的方式一直装不了软件,只能用新立得
wucongkun
帖子: 251
注册时间: 2006-11-10 20:27
送出感谢: 0
接收感谢: 0

#2

帖子 wucongkun » 2007-01-04 13:15

/var/lib/dpkg/lock
这是linux的特色吧。。
dpkg使用中
就会被lock
其他程序无法调用
正常
你开了新历的就开不了apt
就是这样
你apt了新历的也会出错
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#3

帖子 BigSnake.NET » 2007-01-04 13:26

鎖定機制是必須的,否則會混亂
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
回复

回到 “老旧版本支持”